OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_RevolvedAreaSolid Class Reference

`#include <StepShape_RevolvedAreaSolid.hxx>`

Inheritance diagram for StepShape_RevolvedAreaSolid:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_RevolvedAreaSolid ()
| Returns a RevolvedAreaSolid .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_CurveBoundedSurface)&aSweptArea)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_CurveBoundedSurface)&aSweptArea, const Handle(StepGeom_Axis1Placement)&aAxis, const Standard_Real aAngle)
Standard_EXPORT void | SetAxis (const Handle(StepGeom_Axis1Placement)&aAxis)
Standard_EXPORT Handle_StepGeom_Axis1Placement | Axis () const
Standard_EXPORT void | SetAngle (const Standard_Real aAngle)
Standard_EXPORT Standard_Real | Angle () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Axis1Placement | axis
Standard_Real | angle

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_RevolvedAreaSolid::StepShape_RevolvedAreaSolid | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real StepShape_RevolvedAreaSolid::Angle | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_Axis1Placement StepShape_RevolvedAreaSolid::Axis | ( |  | ) | const

Standard_EXPORT const StepShape_RevolvedAreaSolid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_SweptAreaSolid.

virtual Standard_EXPORT void StepShape_RevolvedAreaSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_CurveBoundedSurface)& | aSweptArea,
|  | const Handle(StepGeom_Axis1Placement)& | aAxis,
|  | const Standard_Real | aAngle
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_RevolvedAreaSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_CurveBoundedSurface)& | aSweptArea
| ) | `[virtual]`

| Reimplemented from StepShape_SweptAreaSolid.

Standard_EXPORT void StepShape_RevolvedAreaSolid::SetAngle | ( | const Standard_Real | aAngle | ) |

Standard_EXPORT void StepShape_RevolvedAreaSolid::SetAxis | ( | const Handle(StepGeom_Axis1Placement)& | aAxis | ) |

## Field Documentation

Standard_Real StepShape_RevolvedAreaSolid::angle`[private]`

Handle_StepGeom_Axis1Placement StepShape_RevolvedAreaSolid::axis`[private]`

The documentation for this class was generated from the following file:

- StepShape_RevolvedAreaSolid.hxx